#!/bin/sh

TBT_AUDIO_PATH="/Library/Extensions/ZOOM TBTAudio.kext"
TBT_AUDIO_108_PATH="/System/Library/Extensions/ZOOM TBTAudio10_8.kext"
TBT_PLUGIN_PATH="/Library/Audio/Plug-Ins/HAL/ZOOM TBTPlugin.driver"
TBT_MIDI_DRIVER_PATH="/Library/Audio/MIDI Drivers/ZoomTBTMidiDriver.plugin"

function removeBundle {

    if [ $# -ne 1 ] ; then
        return 1
    fi

    BUNDLE_PATH="$1"

    if [ -e "${BUNDLE_PATH}" ] ; then
        rm -rf "${BUNDLE_PATH}"
    fi

    return 0

}

function removeReceipt {

    if [ $# -ne 1 ] ; then
        return 1
    fi

    PACKAGE_ID="$1"

    if pkgutil --pkg-info ${PACKAGE_ID} ; then
        pkgutil --forget ${PACKAGE_ID}
    fi

    return 0

}

removeBundle "${TBT_AUDIO_PATH}"
removeBundle "${TBT_AUDIO_108_PATH}"
removeBundle "${TBT_PLUGIN_PATH}"
removeBundle "${TBT_MIDI_DRIVER_PATH}"

removeReceipt "jp.co.zoom.ZOOMTBTAudio10_8.pkg"
removeReceipt "jp.co.zoom.ZOOMTBTAudio.pkg"
removeReceipt "jp.co.zoom.ZOOMTBTPlugIn.pkg"
removeReceipt "jp.co.zoom.ZOOMTBTMidiDriver.pkg"

kextcache -system-caches
